<!DOCTYPE html>
<html>
<head>
<meta charset=utf-8>
<title>Anaa, demo of chaining several Ajax requests, POST and GET actually</title>
</head>

<!--XENDX-->

<div id="content"> 
  <h1>Cross-site Ajax, exchanging data between websites with Anaa</h1>
        
  <p>The Cross-site extension to the Anaa framework allows to exchange data between 
    two websites in a secure way.</p>
  <p>The extension is made of these files:</p>
  <p>On the first site:</p>
  <ul>
    <li>anaa.js</li>
    <li>anaa-cross-site.js</li>
    <li>anaa-cross-site-get.php</li>
    <li>anaa-cross-site-call.php</li>
  </ul>
  <p>On the second site:</p>
  <ul>
    <li>anaa-cross-site-reply.php</li>
    <li>anaa-remote.txt</li>
  </ul>
  <p>When you want only to get data from the second site, you need only for <i>anaa-cross-get.php</i> 
    and the JavaScript files.</p>
  <p>The script <i>anaa-cross-site-call.php</i> sends data to the second site, 
    where the <i>script anaa-cross-site-reply.php</i> processes them and returns 
    a result that is retrieved by the calling script.</p>
  <p><i>Anaa-remote.txt</i> is a text file used by the demo.</p>
  <p>For more details about how cross-site ajax works with PHP scripts, read the 
    <a href="http://www.xul.fr/ajax/cross-site-ajax.php" target="_top">Cross-site 
    Ajax tutorial</a> on xul.fr.</p>
  <p>Download the extension: <a href="anaa-cross-site.zip">anaa-cross-site.zip</a></p>
  <?php include("footer.php"); ?>
